Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: upgrade's??  (Read 3962 times)

0 Members and 2 Guests are viewing this topic.

itchy

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
upgrade's??
« on: November 21, 2004, 11:32:26 am »

Hi my gallery www.pgacnortheast.co.uk)
I need to find out, what version I am using? if its out of date how do I upgrade it without messing things up such as layout .css no right click code etc.
Logged

itchy

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: upgrade's??
« Reply #1 on: November 21, 2004, 11:36:28 am »

sorry add /gallery/  to that link.
Logged

Casper

  • VIP
  • Coppermine addict
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 5231
Re: upgrade's??
« Reply #2 on: November 21, 2004, 12:19:59 pm »

You are using version 1.2.1, and yes you should upgrade to 1.3.2.

There are instructions in the 1.3.2 download, docs folder, on how to modify your custom theme to work with 1.3.x versions.

Any other mods you made, that are not included in the newer version, will have to be re-applied.  No right click will need to be re-done, although that's a waste of time in the opinion of just about every dev member and supporter I know.
Logged
It has been a long time now since I did my little bit here, and have done no coding or any other such stuff since. I'm back to being a noob here

itchy

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: upgrade's??
« Reply #3 on: November 21, 2004, 05:52:18 pm »

Yeah I'm not too bothered about the no right click, something I do want to do is stop hotlinking from sites that I dont give exception to. Is there a way of doing this or a mod that allows it?
Logged

Casper

  • VIP
  • Coppermine addict
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 5231
Re: upgrade's??
« Reply #4 on: November 21, 2004, 06:58:16 pm »

Yes, you can use an .htaccess file to stop hotlinking.

There are a few threads about that discuss it, do a search for .htaccess
Logged
It has been a long time now since I did my little bit here, and have done no coding or any other such stuff since. I'm back to being a noob here

itchy

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: upgrade's??
« Reply #5 on: November 21, 2004, 07:28:40 pm »

OK, I upgraded all the files as it states in the instructions, retained config_inc then modified phpbb_inc so they both had correct database info. Also retained all the albums directory and created the 'edit' directory within it. Ran the update.php which said all done, went to the actual gallery and guess what.
CRITICAL ERROR
THERE WAS AN ERROR WHILE PROCESSING A DATABASE QUERY.

Now what, any ideas?
When I uploaded the new files I just done an overwrite of the existing files except the files above and also the lang directory I deleted and rewrote in full due to the note on the instructions.
Bizarre thing is the theme has been retained along with no right click??
Logged

itchy

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: upgrade's??
« Reply #6 on: November 21, 2004, 07:40:13 pm »

OK this is bizarre, some pages work and some dont, mainly any that involve showing the fronts off each album, things such as last uploads and upload approval work fine. got into config and switched debug on. Heres the error on the first page.
While executing query "SELECT cid, name, description, thumb FROM cpg11d_categories WHERE parent = ''  ORDER BY pos" on 0

mySQL error: Unknown column 'thumb' in 'field list'
Logged

Nibbler

  • Guest
Re: upgrade's??
« Reply #7 on: November 21, 2004, 08:08:09 pm »

You didnt replace your sql directory. Delete the directory, re-upload it, and run update.php again. Also use the versioncheck.php to check if you missed anything else.
Logged

itchy

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: upgrade's??
« Reply #8 on: November 21, 2004, 08:18:48 pm »

Done as you said, it resolved the error and generated another 10 errors. I give up, it wont work so I'll just leave it as it was originally.  >:(

Unless there is a way for me to put a fresh install of the latest version on and import my albums??
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: upgrade's??
« Reply #9 on: November 22, 2004, 07:32:40 am »

I recommend usage of versioncheck.php - you will have to use the version of phpbb.inc.php that comes with the cpg1.3.2 package as well and re-apply your bbs settings there.
If you replace all files from your cpg1.2.x package with the ones from the 1.3.2 package, upgrade should be very easy. Also make sure to upload the theme files and use one of the standard themes that come with the cpg1.3.2 package temporarily in case you have a custom theme. There are instructions how to upgrade your custom theme as well (I suggest you do that later once your gallery is fully upgraded to cpg1.3.2, using the standard themes).

Joachim
Logged
Pages: [1]   Go Up
 

Page created in 0.018 seconds with 26 queries.